
From: Christoph Hellwig <hch@lst.de>

Fix:

drivers/scsi/aacraid/aachba.c:1409: warning: `flag' might be used uninitialized in this function




 drivers/scsi/aacraid/aachba.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/scsi/aacraid/aachba.c~aacraid-warning-fix drivers/scsi/aacraid/aachba.c
--- 25/drivers/scsi/aacraid/aachba.c~aacraid-warning-fix	2003-12-31 10:08:20.000000000 -0800
+++ 25-akpm/drivers/scsi/aacraid/aachba.c	2003-12-31 10:08:20.000000000 -0800
@@ -1427,6 +1427,7 @@ static int aac_send_srb_fib(struct scsi_
 		flag = SRB_DataIn;
 		break;
 	case DMA_NONE:
+	default:	/* shuts up some versions of gcc */
 		flag = SRB_NoDataXfer;
 		break;
 	}

_
